"""Initial migration

Revision ID: 001
Revises:
Create Date: 2025-05-14

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "001"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # Create number_checks table
    op.create_table(
        "number_checks",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("number", sa.Integer(), nullable=False),
        sa.Column("is_divisible_by_2", sa.Boolean(), nullable=False),
        sa.Column(
            "created_at",
            sa.DateTime(timezone=True),
            server_default=sa.text("(CURRENT_TIMESTAMP)"),
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_number_checks_id"), "number_checks", ["id"], unique=False)


def downgrade() -> None:
    op.drop_index(op.f("ix_number_checks_id"), table_name="number_checks")
    op.drop_table("number_checks")
