from fastapi import FastAPI
from app.api.endpoints import router
from app.database.connection import Base, engine

# Create the database tables
Base.metadata.create_all(bind=engine)

# Create the FastAPI app
app = FastAPI(
    title="Number Divisibility API",
    description="A simple API to check if a number is divisible by 2",
    version="1.0.0",
    docs_url="/docs",
    redoc_url="/redoc",
)

# Include the router
app.include_router(router)
